Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::InjectStreamConfig Struct Reference

`#include <IAgoraRtcEngine.h>`

## Public Member Functions
| InjectStreamConfig ()

## Public Attributes
int | width
int | height
int | videoGop
int | videoFramerate
int | videoBitrate
AUDIO_SAMPLE_RATE_TYPE | audioSampleRate
int | audioBitrate
int | audioChannels

## Detailed Description

The definition of InjectStreamConfig.

## Constructor & Destructor Documentation

## ◆ InjectStreamConfig()

agora::rtc::InjectStreamConfig::InjectStreamConfig | ( |  | ) |
| inline

## Member Data Documentation

## ◆ width

int agora::rtc::InjectStreamConfig::width

Width of the stream to be added into the broadcast. The default value is 0; same width as the original stream.

## ◆ height

int agora::rtc::InjectStreamConfig::height

Height of the stream to be added into the broadcast. The default value is 0; same height as the original stream.

## ◆ videoGop

int agora::rtc::InjectStreamConfig::videoGop

Video GOP of the stream to be added into the broadcast. The default value is 30.

## ◆ videoFramerate

int agora::rtc::InjectStreamConfig::videoFramerate

Video frame rate of the stream to be added into the broadcast. The default value is 15 fps.

## ◆ videoBitrate

int agora::rtc::InjectStreamConfig::videoBitrate

Video bitrate of the stream to be added into the broadcast. The default value is 400 Kbps.

## ◆ audioSampleRate

AUDIO_SAMPLE_RATE_TYPE agora::rtc::InjectStreamConfig::audioSampleRate

Audio-sampling rate of the stream to be added into the broadcast: AUDIO_SAMPLE_RATE_TYPE. The default value is 48000.

## ◆ audioBitrate

int agora::rtc::InjectStreamConfig::audioBitrate

Audio bitrate of the stream to be added into the broadcast. The default value is 48.

## ◆ audioChannels

int agora::rtc::InjectStreamConfig::audioChannels

Audio channels to be added into the broadcast. The default value is 1.